.. AUTO-GENERATED FILE. DO NOT EDIT. /fuel-pump-inventories-payment-methods-patch-one ================================================ Summary ------- - **Source repository:** ``jef-systems/jef-fuel-pump-inventories-backend`` - **Source SHA:** ``06a517c1413d99627ecd462c7e29779b2dfd2412`` - **Source run id:** ``25888946091`` - **Lambda function:** ``jef-fuel-pump-inventories-payment-methods-patch-one`` - **HTTP method:** ``PATCH`` - **API path:** ``/fuel-pump-inventories-payment-methods-patch-one`` - **Endpoint URL:** ``https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-patch-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-fuel-pump-inventories-payment-methods-patch-one - ``Module``: jef-fuel-pump-inventories - ``Action``: patch-one - ``Method``: PATCH - ``Invocation Mode``: ASYNC - ``Resource Path``: /fuel-pump-inventories-payment-methods-patch-one - ``Table``: jef-fuel-pump-inventories-payment-methods - ``Primary Key``: payment\_method\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``payment\_method\_id``: 85dee342-5c78-445d-822a-87185691987a - ``payment\_method\_name``: Value 001 - ``description``: Value 001 - ``is\_active``: True - ``created\_at``: 2026-05-14T22:13:56Z - ``updated\_at``: 2026-05-14T22:13:56Z Payload Schema -------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.payment_method_id.type": "S", "root.attributes.payment_method_id.required": "True", "root.attributes.payment_method_id.format": "uuidv4", "root.attributes.payment_method_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.payment_method_name.type": "S", "root.attributes.payment_method_name.required": "False", "root.attributes.payment_method_name.regex": "^[A-Za-z0-9 ._-]{1,100}$", "root.attributes.description.type": "S", "root.attributes.description.required": "False", "root.attributes.description.regex": "^.{0,500}$", "root.attributes.is_active.type": "BOOL", "root.attributes.is_active.required": "False", "root.attributes.is_active.regex": "^(true|false)$", "root.attributes.created_at.type": "S", "root.attributes.created_at.required": "False", "root.attributes.created_at.format": "iso8601", "root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.updated_at.type": "S", "root.attributes.updated_at.required": "False", "root.attributes.updated_at.format": "iso8601", "root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$" } Response Schema --------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } Request Payload --------------- .. code-block:: json { "payment_method_id": "85dee342-5c78-445d-822a-87185691987a", "payment_method_name": "Value 001", "description": "Value 001", "is_active": "True", "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z" } Response -------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } CMD curl -------- .. code-block:: bat curl -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-patch-one" -H "Content-Type: application/json" --data-raw "{\"payment_method_id\": \"85dee342-5c78-445d-822a-87185691987a\", \"payment_method_name\": \"Value 001\", \"description\": \"Value 001\", \"is_active\": true, \"created_at\": \"2026-05-14T22:13:56Z\", \"updated_at\": \"2026-05-14T22:13:56Z\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-patch-one" -H "Content-Type: application/json" --data-raw '{"payment_method_id": "85dee342-5c78-445d-822a-87185691987a", "payment_method_name": "Value 001", "description": "Value 001", "is_active": true, "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z"}'